#include <dos.h>
#include <io.h>
#include <stdio.h>
#include <stdlib.h>
#include "spawno.h"
#include "x_err.hpp"

void main() {
  int res, init = 0;
  char path[13];
  init_SPAWNO(".", SWAP_DISK);
  unlink("lgc.tmp");
  for (;;) {
    if (!init) {
      init = 1;
      res = spawnlo(NULL, "lgccomm.exe", "lgccomm.exe", NULL);
    } else res = spawnlo(NULL, "lgccomm.exe", "lgccomm.exe", "-o", NULL);
    if (res < 0) fatalError("spawn() failed");
    if (res == 255) break;
    else if (res == 254) {
      res = spawnlo(NULL, getenv("COMSPEC"));
      if (res < 0) fatalError("spawn() failed");
    } else {
      sprintf(path, "lgc%d.exe", res);
      res = spawnlo(NULL, path, path, NULL);
      if (res < 0) fatalError("spawn() failed");
    }
  }
}
